| Qore RestClientDataProvider Module Reference 2.0.1

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
RestClientDataProvider::RestClientOptionsDataProvider Class Reference

The REST client OPTIONS data provider class. More...

`#include <RestClientOptionsDataProvider.qc.dox.h>`

Inheritance diagram for RestClientDataProvider::RestClientOptionsDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (RestClient rest)
| Creates the object from a REST connection.
string | getName ()
| Returns the data provider name.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from RestClientDataProvider::RestClientDataProviderBase
| constructor ()
| Creates the object.
| constructor (RestClient::RestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes
const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
const | RequestType = RestClientCallWithoutBodyRequestDataType
| Request type.
const | ResponseType = RestClientCallResponseDataType
| Response type.

## Protected Member Functions
auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*AbstractDataProviderType | getRequestTypeImpl ()
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.

## Additional Inherited Members
Static Public Member Functions inherited from RestClientDataProvider::RestClientDataProviderBase
static string | getRequestPath (hash< auto > req)
| Returns the request path for the given request.
static string | getUriValue (auto v)
| Returns the value for the given query argument.
Protected Attributes inherited from RestClientDataProvider::RestClientDataProviderBase
RestClient::RestClient | rest
| The REST client object.

## Detailed Description

The REST client OPTIONS data provider class.

## Member Function Documentation

## ◆ doRequestImpl()

auto RestClientDataProvider::RestClientOptionsDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )
| protected

Makes a request and returns the response.

Parameters

  req | the request info
  request_options | the request options after processing by validateRequestOptions()

Returns
  the response to the request

## ◆ getRequestTypeImpl()

*AbstractDataProviderType RestClientDataProvider::RestClientOptionsDataProvider::getRequestTypeImpl | ( |  | ) |
| protected

Makes a request and returnscallwithoutbody Returns the description of a successful request message, if any

Returns
  the request type for this provider

## ◆ getResponseTypeImpl()

*AbstractDataProviderType RestClientDataProvider::RestClientOptionsDataProvider::getResponseTypeImpl | ( |  | ) |
| protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message